# -*-coding:utf-8 -*-
from enums.StatusEnum import UploadTaskStatusType
from util.QueUtil import put_queue
from util.TimeUtils import now_date_to_str


def upload_result(fb_queue, requestId, errorCode="", errorMsg="", status=UploadTaskStatusType.RUNNING.value[0],
                  imageList=[], videoList=[]):
    if requestId is not None:
        put_queue(fb_queue, ('upload',
                             {
                                 "requestId": requestId,
                                 "errorCode": errorCode,
                                 "errorMsg": errorMsg,
                                 "status": status,
                                 "imageList": imageList,
                                 "videoList": videoList,
                                 "currentTime": now_date_to_str()
                             }),
                  timeout=2)


def rtmp_result(fb_queue, code, msg, data=None):
    put_queue(fb_queue, ('rtmp', {"code": code, "msg": msg, "data": data}), timeout=2)


def upload_http_result(fb_queue, callback_url=None, requestId=None, errorCode="", errorMsg="",
                       status=UploadTaskStatusType.RUNNING.value[0], imageList=[], videoList=[]):
    if callback_url is not None and requestId is not None:
        put_queue(fb_queue, ('upload',
                             {
                                 "callback_url": callback_url,
                                 "data": {
                                     "requestId": requestId,
                                     "errorCode": errorCode,
                                     "errorMsg": errorMsg,
                                     "status": status,
                                     "imageList": imageList,
                                     "videoList": videoList,
                                     "currentTime": now_date_to_str()
                                 }
                             }),
                  timeout=2)
