# -*-coding:utf-8 -*-
from typing import Union

from fastapi._compat import Required
from pydantic import BaseModel, Field, HttpUrl


class UploadRequest(BaseModel):
    requestId: str = Field(default=Required, title="请求id", pattern="^[a-zA-Z0-9]{1,36}$")
    callbackUrl: HttpUrl = Field(default=Required, title="回调地址")


class CallbackRequest(BaseModel):
    requestId: Union[str, None]
    errorCode: Union[str, None]
    errorMsg: Union[str, None]
    status: Union[int, None]
    imageList: Union[list, None]
    videoList: Union[list, None]
    currentTime: Union[str, None]